summaryrefslogtreecommitdiffstats
path: root/release
diff options
context:
space:
mode:
authorPatrick McDermott <patrick.mcdermott@libiquity.com>2021-01-05 01:54:57 (EST)
committer Patrick McDermott <patrick.mcdermott@libiquity.com>2021-01-05 02:21:13 (EST)
commit396953fe408a22d946a3101615462e5ad54a487c (patch)
tree34301f0e09a5489fdc3b2c8a7a8afdca5297fdbc /release
Initial commit
Diffstat (limited to 'release')
-rwxr-xr-xrelease14
1 files changed, 14 insertions, 0 deletions
diff --git a/release b/release
new file mode 100755
index 0000000..0b33aca
--- /dev/null
+++ b/release
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+set -eu
+
+read src ver <<-EOF
+ $(sed '1s/^\(.*\) (\(.*\)) .*$/\1 \2/; q;' changelog)
+ EOF
+
+sed '/^ -- .* /{ s/^\( -- .* \).*$/\1'"$(LC_ALL='POSIX' date \
+ '+%a, %d %b %Y %H:%M:%S %z')"'/; :l; n; b l; };' changelog >changelog~
+mv changelog~ changelog
+git commit -m "changelog: Release ${src} ${ver}" -- changelog
+ver="$(printf '%s' "${ver}" | tr '~' '.')"
+git tag "${src}/${ver}" HEAD